Subject: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: Ship Mints <[email-masked]>
Date: Mon, 31 Mar 2025 14:12:56 -0400

On Mon, Mar 31, 2025 at 1:42 PM Juri Linkov <[email-masked]> wrote:

> > [The patch probably needs to be rebased on master but I was able to apply
> > it by hand, I think.]
>
> Now I pushed the current patch, together with the new tests
> that cover its 'quit-restore' logic in test/lisp/tab-bar-tests.el.
>
> Could you please write a new test that will contain a sequence of
> function calls that implement the logic of your configuration.
>
> Then we could see how to improve the window functions
> to pass the tests.
>

I thought Martin agreed that we don't need `(window-dedicated-p window)` in
`window-deleteable-p`?  That makes my use case work.  Or are you waiting
for the test case and do you want that stand alone or in the test suite?